package com.flyer.foster.dto.app;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * AppScoreRespDTO
 *
 * @author kelei
 * @since 2024/5/18/19:37
 */
@Data
public class AppScoreAddDTO {
    /**
     * 用户id
     */
    @NotNull(message = "用户id不能为空")
    private Integer appUserId;

    /**
     * 用户积分
     */
    @NotNull(message = "用户积分不能为空")
    private Integer score;

    /**
     * 用户行为
     */
    @NotBlank(message = "用户行为不能为空")
    private String action;
}
