package com.flyer.foster.service.impl;

import com.flyer.foster.entity.CartoonUrl;
import com.flyer.foster.mapper.ICartoonUrlMapper;
import com.flyer.foster.service.ICartoonUrlService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 漫画图片 服务实现类
 * </p>
 *
 * @author flyer
 * @since 2024-05-25
 */
@Service
public class CartoonUrlServiceImpl extends ServiceImpl<ICartoonUrlMapper, CartoonUrl> implements ICartoonUrlService {

    @Override
    public boolean deleteByCartoonIdList(List<Integer> cartoonIdList) {
        return baseMapper.deleteByIdList(cartoonIdList);
    }
}
