package com.flyer.foster.dto;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.ArrayList;
import java.util.List;

/**
 * CartoonAddDTO
 *
 * @author kelei
 * @since 2024/5/25/14:33
 */
@Data
public class CartoonUpdateDTO {
    private Integer id;
    /**
     * 漫画名称
     */
    private String name;

    private List<String> cartoonUrlList = new ArrayList<>();
}
