package com.flyer.foster.pojo;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * 角色分配菜单对象
 *
 * @author kelei
 * @since 2023/3/21/21:32
 */
@Data
public class RoleAssignTreeMenu {
    private Integer id;

    /**
     * 菜单名称
     */
    private String title;

    private Integer type;

    /**
     * 父节点
     */
    private Integer parentId;

    /**
     * 是否选中-{1：选中，0：未选中}
     */
    private boolean selected;

    /**
     * 子节点
     */
    private List<RoleAssignTreeMenu> children = new ArrayList<>();
}
